Subject: [TOOLS-DEVELOPMENT] Conf Call Notes 6-08-07

From: Ray Pelletier <[email-masked]>
Date: Fri, 08 Jun 2007 14:42:08 -0400

Next Call June 15 at 10 AM ET

TMC Call 6-08-07

NSS
Michael
Barbara
Dinara

IETF
Russ
Ray
Bill
Brian
Henrik
Bob

Agenda

1. Phase
1 Re-Write Django Phase 1

Henrik - getting closer to end; call yesterday; few items left, 10ish, 
60 done; most done by Tues/Wed next week; no real problems in the way.

Bill - original time estimate was way off;

Michael - finish = deploy?

Henrik - will discuss deployment next week; test framework - BuildBot 
being built for testing before deployment; we have a development server 
which checks our recent code and should be able to point people to the 
server and have them test it.

19 - 20 June Deployment Target

Henrik - SourceForge painfully slow to work with; could put a copy up on 
SourceForge

Bill - Henrik has built one on the tools server, if Henrik agrees

Henrik - fine by me. Only disadvantage - wants the source to be 
available; then secondary at SourceForge; no issue of version control

Brian - mirroring

2. Phase 2 Plans

Henrik - sit down with NeuStar to discuss first to see what is already 
provided by Django admin for the backend; need to see if that would work

Michael - can think of 2; IPR and Session Request tools; what 
features/functions provided by Django?

Henrik - not sure, it's why we need to look at it.

Will schedule for Chicago, probably Friday; 2 - 3 hours. 1 - 3

Question is will admin interface work for backend use?

Bill - Anything involved with Work Flow probably cannot be replaced by 
Django admin, but rolodex probably could be used.

3. Open Source License Recommendation to IETF Trust

see http://www.opensource.org/licenses/ alphabetical) for a full listing.

a. BSD - does not require access to modifications

b. MIT

Brian - not convinced by Jorge's arguments, but not a good idea to 
ignore the lawyer

c. OSL 3.0

Comments from the list -

Bob Hinden made a good point with respect to
the proposed CPL 1.0; which led to the proposal of OSL 3.0.
Henrik

I read the patent paragraph in OSL 3.0 a few times before concluding
that it was not an issue for IASA. It's actually very mild - it says
that if BigBadCompany receives the code *and* decides to assert a
patent against it, it then loses the right to use the code. I really
don't see where that would be a problem for IETF Secretariat tools.
Can you invent a scenario where it would hurt us?

    Brian

I find the exclusions from patent grants in section 4 of OSL very
clear, and not at all infectuous or viral in the GPL sense, and
don't see any reason for the Trust, individuals, or companies for
whom contributing individuals work to have any worries about
unintended grants of Patent IPR.

    Henrik

My preference is generally to go with as simple a license as possible.
For general Open Source use, the MIT or BSD licenses are very good,
simple choices.  The only reason NOT to go with one of these is if you
want to impose special restrictions.  In particular, when Ray says
"freely distribute", do you mean "distribute without restriction" or
"distribute for free".  If the former, then MIT or BSD would be fine.
If the latter, then you will need to customize one of these licenses or
go with something else.

I have reservations about OSL for a number of reasons:

-- its coverage of "Derivative Works", which is reminiscent of the GPL
(and may make some companies nervous),

-- the "warranty" that license (IETF Trust?) would be required to make
under Section 7,

-- defensive suspension clause in Section 10 (which will potentially
limit widespread use of the software).

Were there specific reasons that you picked OSL?  Maybe I don't
appreciate the benefits that you see here.

Regards,
Jorge

Henrik - have done GPL, but would re-license as OSL

4. Tools Priorities

a. Development

1. Django Project Phase 1
2. The I-D Submission Tool
3. Enhancements to the Liaison Statement Management Tool

b. Proposal Priorities

1. Django Phase 2
2. Front-end extensions to the I-D Tracker
3. WG Management Tool part 1

c. Spec Development Priorities

1. Back End extension to the I-D Tracker
2. XML Meta Information

Planning calendar to be prepared by NSS to show when development and 
proposals start and end through the end of the year.

Open Mic

Michael
  Phase 1 - concerned about making any big change before Chicago

Henrik - 19/20 June gives some breather

==============

Call in details:
At the specified time, dial your Reservationless-Plus Dial-In Number.
When prompted, enter your Conference Code followed by #.

United States : 866. 616. 1738
Conference Code: 193. 366. 9157

Local Dial-In Number(s)**:
Austria, Vienna Dial-In #: 019286515
Belgium, Brussels Dial-In #: 024017041
Denmark, Copenhagen Dial-In #: 032714951
Finland, Helsinki Dial-In #: 0923113284
France, Lyon Dial-In #: 0426690490
France, Marseille Dial-In #: 0488130167
France, Paris Dial-In #: 0170700767
Germany, Frankfurt Dial-In #: 069222220478
Ireland, Dublin Dial-In #: 012475152
Italy, Milan Dial-In #: 0236005649
Netherlands, Amsterdam Dial-In #: 0207133440
Norway, Oslo Dial-In #: 21510846
Portugal, Lisbon Dial-In #: 0211201838
Spain, Madrid Dial-In #: 914141419
Sweden, Stockholm Dial-In #: 0856618459
Switzerland, Bellinzona Dial-In #: 0912800000
United Kingdom, LocalCall Dial-In #: 08452455269
International Freephone Dial-in Number(s):
Australia : 1800076718
Austria : 0800111957
Bahrain : 80004152
Belgium : 080048305
Brazil : 08008912092
China, North : 108007121533
China, South : 108001201533
Croatia (Hrvatska) : 0800223071
Czech Republic : 800142907
Denmark : 80884387
France : 0805110471
France, lile : 0359580293
Germany : 08001014907
Hong Kong : 800901297
Hungary : 0680015519
Iceland : 8008658
India : 0008001006354
Ireland : 1800300182
Israel : 1809213971
Italy : 800906494
Japan : 00531121895
Korea (South) : 00308131549
Malaysia : 1800805077
Mexico : 0018664297882
Netherlands : 08009494598
New Zealand : 0800446473
Poland : 008001212289
Russian Federation : 81080021232044
Singapore : 8001011668
South Africa : 0800995487
Spain : 900961635
Sweden : 0200887528
Switzerland : 0800564504
Turkey : 0080044632072
United Arab Emirates : 8000440134
United States : 18666161738
Venezuela : 08001627404
** International Freephone numbers are subject to change. Before each 
conference, refer to the numbers above for the most current information. 
Always use your Toll number as a backup.

Customer Service: 0800 833 695 or +44 (0) 1452 553456

_______________________________________________
TOOLS-DEVELOPMENT mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-development